%define name konserve
%define version 0.10.3
%define release 2mdk
%define __libtoolize    /bin/true

Name:           %name
Summary:        Konserve is a small backup application.
Version:        %version
Release:        %release
Source:         %{name}-%{version}.tar.bz2
URL:            http://konserve.sourceforge.net/
Group:          Archiving/Other
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL
BuildRequires:	XFree86-devel
BuildRequires:	kdelibs-devel
BuildRequires:	arts-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	fam-devel
Requires:       kdebase >= 3.2

%description
Konserve is a small backup application for the KDE 3.x environment. 
It lives in the system tray and is able to create backups of several 
directories or files periodically.

%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q

%configure --disable-rpath

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


#Menu

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System/Archiving/Compression" $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/konserve.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/konserve
%_menudir/konserve
%_datadir/applnk/Applications/konserve.desktop

%_datadir/apps/konserve/tips

%dir %_docdir/HTML/en/konserve/
%doc %_docdir/HTML/en/konserve/common
%doc %_docdir/HTML/en/konserve/*.bz2
%doc %_docdir/HTML/en/konserve/*.docbook
%doc %_docdir/HTML/en/konserve/*.png

%_iconsdir/hicolor/16x16/apps/konserve.png
%_iconsdir/hicolor/32x32/apps/konserve.png

%_iconsdir/locolor/16x16/apps/konserve.png
%_iconsdir/locolor/32x32/apps/konserve.png

%changelog
* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-2mdk
- Rebuild

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.3-1mdk
- First package
